import Taro, { Component } from '@tarojs/taro'
import { View, Button, Text, Swiper, SwiperItem, Image } from '@tarojs/components'
import { connect } from '@tarojs/redux'
import recommondShop from '../../component/recommendShop/recommendShop'

import { add, minus, asyncAdd } from '../../actions/counter'

import './home.scss'


@connect(({ counter }) => ({
  counter
}), (dispatch) => ({
  add () {
    dispatch(add())
  },
  dec () {
    dispatch(minus())
  },
  asyncAdd () {
    dispatch(asyncAdd())
  }
}))
class Home extends Component {

    config = {
    navigationBarTitleText: '首页'
  }
  constructor(){
    this.state={
      shops:'',
      ads:'',
      categories:'',
      demanding:''
    }
  }

//http://ihome6.com/Shop-supplyShops
  componentDidMount(){
    this.getShopInfo()
    this.getHomePageInfo()
  }
  componentWillReceiveProps (nextProps) {
    //console.log(this.props, nextProps)
  }

  componentWillUnmount () { }

  componentDidShow () { }

  componentDidHide () { }

  getHomePageInfo(){
    Taro.request({
      url: 'http://192.168.1.230/Shop-wxStore',
    })
      .then(res =>{
     //  console.log(res.data)
        this.setState({
          ads: res.data.data.adsLb,
          categories: res.data.data.supplyClass,
          categories: res.data.data.supplyClass,
          demanding: res.data.data.demand.supplys,
        }, () => {
          console.log(this.state.demanding)
        })})
  }
  getShopInfo(){
    Taro.request({
      url: 'http://192.168.1.230/Shop-supplyShops',
      method: 'POST',
      dataType: 'json',
      data: {
        param: JSON.stringify({
          curr_page: 1,
          page_count: 20,
          parent_supply_class: 1,
          supply_class: 1,
          supply_level: 1,
          action: "2"
        })
      },
      header: {
        'content-type': 'application/x-www-form-urlencoded'
      }
    })
      .then(res => {
        this.setState({ shops: res.data.shops })
      }
      )
  }

  render () {
    
    
    const demandingElemensArray = this.state.demanding.map((item,index)=>{
      return <SwiperItem key={item.toString()} key={index}>
          <View className='customer-need-item'>
            <View className='item-title'>
            {item.class_name}
                  </View>
            <View className='item-address'>
              软件园D区
                  </View>
            <View className='item-name'>
            业主：{item.user_name}
                  </View>
            <View className='item-button'>
            <Button>{item.state_name}</Button>
            </View>
          </View>
        </SwiperItem>

    
    })

    const shopCollectionElementsArray=this.state.shops.map((item,index)=>{
      return <recommondShop test='1111111' shop={item} key={index}></recommondShop>
    })

    const adsImgElementsArray=this.state.ads.map((item,index)=>{
      return <SwiperItem  key={index}>
        <Image src={'http://192.168.1.230/' + item.ads_pic}/>
      </SwiperItem>
    })
    const categoriesElementsArray1=this.state.categories[0].map((item,index)=>{
      return <View className='category-item' key={index}>
        <View> <Image style='height: 42px;width: 42px;' className='cate-img' src={'http://192.168.1.230/' + item.icon} /></View>
        <View>{item.class_name}</View>
      </View>
    })
    const categoriesElementsArray2=this.state.categories[1].map((item,index)=>{
      return <View className='category-item' key={index}>
        <View> <Image style='height: 42px;width: 42px;' className='cate-img' src={'http://192.168.1.230/' + item.icon} /></View>
        <View>{item.class_name}</View>
      </View>
    })

   
    
    return (
      <View className='home'>
        <View className='top-banner'>
          <Swiper
            className='test-h'
            indicatorColor='#999'
            indicatorActiveColor='#333'
            hotizontal
            circular
            indicatorDots
            autoplay>

            {adsImgElementsArray}

          </Swiper>
        </View>
        <View className='main-cate'>
          <Swiper
            className='categories-box'
            indicatorColor='#999'
            indicatorActiveColor='#333'
            hotizontal
            circular
            indicatorDots
            autoplay>
            <SwiperItem>
              <View className='categories'>
                {categoriesElementsArray1}
              </View>
            </SwiperItem>
            <SwiperItem>
              <View className='categories'>
                {categoriesElementsArray2}
              </View>
            </SwiperItem>
           
          </Swiper>
        </View>
        <View className='container'>
            <View className='title'>
              <View className='text'>
                  业主需求
              </View>
              <View className='more-link'>
                   更多>>
              </View>
            </View>
            <View className='customer-need'>
              <Swiper 
                className='test-h'
                indicatorColor='#999'
                indicatorActiveColor='#333'
                horizontal
                circular
                displayMultipleItems='4'
                autoplay>
                    {demandingElemensArray}
                </Swiper>

            </View>
            <View className='sub-cate'>
            
            </View>
            <View className='title'>
              行业推荐
            </View>
            <View className='demanding'>
            {shopCollectionElementsArray}
            </View>
        </View>
      </View>
    )
  }
}

export default Home
